%define initdir /etc/rc.d/init.d

Summary: Common Unix Printing System
Name: cups
Version: 1.1.1
Release: 4
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://ftp.easysw.com/pub/cups/cups-%{version}-source.tar.bz2
Source1: cupsd.init
Epoch: 1
Patch: cups-1.1b5-compile.patch
Patch2: cups-1.1-broken.patch
Url: http://www.cups.org/
BuildRoot: %{_tmppath}/%{name}-root
PreReq: /sbin/chkconfig /sbin/service
Conflicts: lpr LPRng

%package devel
Summary: Common Unix Printing System - development environment
Group: Development/Libraries

%description
The Common UNIX Printing System provides a portable printing layer for 
UNIX operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces. 

%description devel
The Common UNIX Printing System provides a portable printing layer for 
UNIX operating systems. This is the development package for creating
additional printer drivers, and other CUPS services.

%prep
%setup -q
%patch -p1 -b .compile
%patch2 -p1 -b .broken

%build
%configure --sysconfdir=/etc
perl -pi -e "s,/usr/etc,/etc,g" *
perl -pi -e "s,/usr/var,/var,g" *

# If we got this far, all prerequisite libraries must be here.
make OPTIM="$RPM_OPT_FLAGS"

%install
# these lines just make sure the directory structure in the
# RPM_BUILD_ROOT exists
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{initdir}

%makeinstall LOGDIR=$RPM_BUILD_ROOT/var/log/cups \
	REQUESTS=$RPM_BUILD_ROOT/var/spool/cups \
	SERVERROOT=$RPM_BUILD_ROOT%{_sysconfdir}/cups \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	PAMDIR=$RPM_BUILD_ROOT%{_sysconfdir}/pam.d

install -m 755 $RPM_SOURCE_DIR/cupsd.init $RPM_BUILD_ROOT%{initdir}/cupsd

mkdir -p docs

cp -rdp $RPM_BUILD_ROOT%{_datadir}/doc/cups/* docs

cd $RPM_BUILD_ROOT%{_libdir}
for i in *.so.*; do
	ln -sf $i `echo $i |sed -e "s,\.so\..*,.so,g"`
done

mkdir -p $RPM_BUILD_ROOT/var/spool/cups/tmp
chmod 755 $RPM_BUILD_ROOT/etc/cups/certs

%post
/sbin/chkconfig --add cupsd
/sbin/chkconfig cupsd on
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/service cupsd stop > /dev/null 2>&1
	/sbin/chkconfig --del cupsd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service cupsd condrestart > /dev/null 2>&1
fi
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/cups
%config %{_sysconfdir}/cups/*
/etc/pam.d/cups
%doc docs/*
%config %{initdir}/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/cups
%{_mandir}/*
%{_sbindir}/*
%{_datadir}/cups
%dir %attr(0755,lp,sys) /var/spool/cups/tmp
%dir %attr(0755,lp,sys) /var/spool/cups
%dir %attr(0755,lp,sys) /var/log/cups

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/cups

%changelog
* Fri Aug 4 2000 Than Ngo <than@redhat.de>
- fix, cupsd read config file under /etc/cups (Bug #15432)
- add missing cups filters

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- fix permission, add missing ldconfig in %post and %postun (Bug #14963)

* Sat Jul 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1 (this has some major bugfixes)
- Fix a typo in initscript (it's $?, not ?$)
- Fix /usr/etc vs. /etc trouble, don't insist on /usr/var (YUCK!)
- Create the spool dir

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- fix unclean code for building against gcc-2.96
- add missing restart function in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that conrestart doesn't return 1 if the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- using service to fire them up
- fix Prereq section

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr to the devel package

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- add cups config files

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- update to 1.1 release
- move back to /etc/rc.d/init.d
- fix cupsd.init to work with /etc/init.d and /etc/rc.d/init.d
- split cups

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq to now require /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- started changelog 
- fixed init.d script location
- changed script in init.d quite a bit and made more like the rest of our
  startup scripts 
